Bug 9570 - Access failure for shares with "force group" or "valid users = @group"
Access failure for shares with "force group" or "valid users = @group"
Product: Samba 4.0
Classification: Unclassified
Component: File services
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
: 10598 (view as bug list)
Depends on:
  Show dependency treegraph
Reported: 2013-01-17 16:10 UTC by Arvid Requate
Modified: 2014-09-03 07:08 UTC (History)
5 users (show)

See Also:

git formated patch for master (1.50 KB, patch)
2013-01-17 16:11 UTC, Arvid Requate
metze: review+
git-am fix for 4.1.next and 4.0.next. (1.74 KB, patch)
2014-08-26 22:39 UTC, Jeremy Allison
metze: review+

Note You need to log in before you can comment on or make changes to this bug.
Description Arvid Requate 2013-01-17 16:10:39 UTC
Samba4 RC6 smbd returns NT_STATUS_NO_SUCH_GROUP during access to file shares with "force group". Similarly smbd returns NT_STATUS_ACCESS_DENIED for file shares with "valid users = @group". Both issues seem to be caused by a bug in pdb_samba_dsdb.c:pdb_samba_dsdb_getgrfilter, where the objectclass of the group object is examined but not retrived. The code is still present in master.
Comment 1 Arvid Requate 2013-01-17 16:11:51 UTC
Created attachment 8443 [details]
git formated patch for master
Comment 2 Björn Jacke 2013-12-16 23:19:06 UTC
this bug looks quite generic and is here including a patch since quite a while. metze would you like to have a look at this?
Comment 3 Roel van Meer 2014-08-25 10:20:43 UTC
This patch fixed the problems I had with "valid users = @group" in samba 4.1.11.
Comment 4 Stefan Metzmacher 2014-08-25 11:25:21 UTC
Comment on attachment 8443 [details]
git formated patch for master

Looks good. Andrew, please have a look and push to master.
Comment 5 Jeremy Allison 2014-08-25 19:04:44 UTC
Both changes obviously correct. Pushed !
Comment 6 Jeremy Allison 2014-08-26 22:39:13 UTC
Created attachment 10231 [details]
git-am fix for 4.1.next and 4.0.next.

Patch that went into master. Applies cleanly to 4.1.next, 4.0.next.
Comment 7 Jeremy Allison 2014-08-27 15:29:13 UTC
Karolin please apply to 4.1.next, 4.0.next. Thanks !

Comment 8 Björn Jacke 2014-08-29 12:24:39 UTC
*** Bug 10598 has been marked as a duplicate of this bug. ***
Comment 9 Karolin Seeger 2014-09-01 18:59:32 UTC
Pushed to autobuild-v4-[0|1]-test.
Comment 10 Karolin Seeger 2014-09-03 07:08:27 UTC
Pushed to both branches.
Closing out bug report.